namespace View_by_Distance.Shared.Models;

public record DatabaseFile(
    int Id,
    int PhotoId,
    string PhotoUid,
    string PhotoTakenAt,
    string? TimeIndex,
    string? MediaId,
    string MediaUtc,
    string? InstanceId,
    string? FileUid,
    string? FileName,
    string? FileRoot,
    string? OriginalName,
    string? FileHash,
    string FileSize,
    string? FileCodec,
    string? FileType,
    string? MediaType,
    string? FileMime,
    string FilePrimary,
    string FileSidecar,
    string FileMissing,
    string FilePortrait,
    string FileVideo,
    string FileDuration,
    string FileFps,
    string FileFrames,
    int FileWidth,
    int FileHeight,
    string FileOrientation,
    string? FileOrientationSrc,
    string FileProjection,
    string FileAspectRatio,
    string FileHdr,
    string FileWatermark,
    string? FileColorProfile,
    string? FileMainColor,
    string? FileColors,
    string? FileLuminance,
    string FileDiff,
    string FileChroma,
    string FileSoftware,
    string? FileError,
    string ModTime,
    string CreatedAt,
    string CreatedIn,
    string UpdatedAt,
    string UpdatedIn,
    object PublishedAt,
    object DeletedAt);